"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_uni_steps2 = common_vendor.resolveComponent("uni-steps");
  _easycom_uni_steps2();
}
const _easycom_uni_steps = () => "../../uni_modules/uni-steps/components/uni-steps/uni-steps.js";
if (!Math) {
  _easycom_uni_steps();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "fullOrder",
  setup(__props) {
    const currentIndex = common_vendor.ref(0);
    const tabs = common_vendor.ref([
      { name: "全部" },
      { name: "进行中" },
      { name: "已完成" }
    ]);
    const switchTab = (index) => {
      currentIndex.value = index;
    };
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    common_vendor.ref([
      { orderState: 0, title: "全部" },
      { orderState: 1, title: "进行中" },
      { orderState: 2, title: "评价" },
      { orderState: 3, title: "退款" }
    ]);
    const active = common_vendor.ref(1);
    const list1 = common_vendor.reactive([
      { title: "备餐中" },
      { title: "已出餐" },
      { title: "已完成" }
    ]);
    return (_ctx, _cache) => {
      var _a;
      return common_vendor.e({
        a: common_vendor.f(tabs.value, (tab, index, i0) => {
          return {
            a: common_vendor.t(tab.name),
            b: index,
            c: currentIndex.value === index ? 1 : "",
            d: common_vendor.o(($event) => switchTab(index))
          };
        }),
        b: currentIndex.value === 0
      }, currentIndex.value === 0 ? {} : {}, {
        c: currentIndex.value === 1
      }, currentIndex.value === 1 ? {} : {}, {
        d: currentIndex.value === 2
      }, currentIndex.value === 2 ? {} : {}, {
        e: common_vendor.f(3, (item, k0, i0) => {
          return common_vendor.e({
            a: common_vendor.f(1, (sku, k1, i1) => {
              return {
                a: sku
              };
            }),
            b: "2d10110e-0-" + i0
          }, {}, {
            d: item
          });
        }),
        f: `/pagesOrder/detail/detail?id=1`,
        g: common_vendor.p({
          options: list1,
          active: active.value
        }),
        h: common_vendor.t("没有更多数据~"),
        i: ((_a = common_vendor.unref(safeAreaInsets)) == null ? void 0 : _a.bottom) + "px"
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/111111000000/uniapp04/pages/fullOrder/fullOrder.vue"]]);
my.createPage(MiniProgramPage);
